CustomGridControlController

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.customvo.client
Class CustomGridControlController

    java.lang.Object
      org.openswing.swing.table.client.GridController
          org.openswing.swing.customvo.client.CustomGridControlController

All Implemented Interfaces:
  GridDataLocator, java.io.Serializable

public abstract class CustomGridControlController
extends GridController
implements GridDataLocator

Title: OpenSwing Framework

Description: Grid controller used to manage custom grid.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of JAllInOne ERP/CRM application. This application is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`CustomGridControlController(java.util.ArrayList customFields)`

Method Summary
`void` | `createValueObject(ValueObject valueObject)` Callback method invoked when the user has clicked on the insert button
`java.util.HashMap` | `getAttributesMappingPerTable(java.lang.String tableName)`
`java.util.ArrayList` | `getCustomFields()`
`java.util.HashSet` | `getPrimaryKeyPerTable(java.lang.String tableName)`

Methods inherited from class org.openswing.swing.table.client.GridController
`afterDeleteGrid, afterEditGrid, afterInsertGrid, afterReloadGrid, beforeCopyGrid, beforeDeleteGrid, beforeEditGrid, beforeFilterGrid, beforeInsertGrid, beforeRetrieveAdditionalRows, deleteRecords, doubleClick, dragDropEnd, dragEnabled, dragEnter, dragExit, dragOver, dropActionChanged, dropEnabled, dropEnter, dropExit, dropOver, enterButton, exportGrid, getBackgroundColor, getCellTooltip, getDeltaColor, getDeltaRow, getExportDialogSize, getExportingFormats, getFont, getForegroundColor, getHeaderTooltip, getInitialQuickFilterValue, insertRecords, isCellEditable, loadDataCompleted, modeChanged, rowChanged, selectedCell, setDeltaColor, setDeltaRow, updateRecords, validateCell`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openswing.swing.table.java.GridDataLocator
`loadData`

Constructor Detail

### CustomGridControlController

    public CustomGridControlController(java.util.ArrayList customFields)

Method Detail

### getAttributesMappingPerTable

    public final java.util.HashMap getAttributesMappingPerTable(java.lang.String tableName)

  Parameters:
    `tableName` - table name
  Returns:
    collection of pairs , related to the specified table name

### getPrimaryKeyPerTable

    public final java.util.HashSet getPrimaryKeyPerTable(java.lang.String tableName)

  Parameters:
    `tableName` - table name
  Returns:
    collection of attributes that compose the primary key of the specified table

### getCustomFields

    public final java.util.ArrayList getCustomFields()

  Returns:
    list of CustomFieldVO ojbjects, related to grid columns

### createValueObject

    public final void createValueObject(ValueObject valueObject)
                                 throws java.lang.Exception

  Callback method invoked when the user has clicked on the insert button

  Overrides:
    `createValueObject` in class `GridController`
  Parameters:
    `valueObject` - empty value object just created: the user can manage it to fill some attribute values
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD